SalesOS.

Notes

Notes on records

Notes Controller_list Notes

GET
/api/notes

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

leadIdRequiredstring
accountIdRequiredstring
contactIdRequiredstring
opportunityIdRequiredstring
sfLeadIdRequiredstring
sfAccountIdRequiredstring
sfContactIdRequiredstring
sfOpportunityIdRequiredstring
isPrivateRequiredstring
searchRequiredstring
curl -X GET "https://www.salesos.org/api/api/notes?leadId=%3Cstring%3E&accountId=%3Cstring%3E&contactId=%3Cstring%3E&opportunityId=%3Cstring%3E&sfLeadId=%3Cstring%3E&sfAccountId=%3Cstring%3E&sfContactId=%3Cstring%3E&sfOpportunityId=%3Cstring%3E&isPrivate=%3Cstring%3E&search=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Notes Controller_create Note

POST
/api/notes

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/notes" \
  -H "Authorization: Bearer <token>"

Notes Controller_get Note Stats

GET
/api/notes/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/notes/stats" \
  -H "Authorization: Bearer <token>"

Notes Controller_search Notes

GET
/api/notes/search

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

qRequiredstring
curl -X GET "https://www.salesos.org/api/api/notes/search?q=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Notes Controller_get Note

GET
/api/notes/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/notes/<string>" \
  -H "Authorization: Bearer <token>"

Notes Controller_update Note

PATCH
/api/notes/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/notes/<string>" \
  -H "Authorization: Bearer <token>"

Notes Controller_delete Note

DELETE
/api/notes/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/notes/<string>" \
  -H "Authorization: Bearer <token>"

Notes Controller_create Voice Note

POST
/api/notes/voice

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/notes/voice" \
  -H "Authorization: Bearer <token>"

Notes Controller_process Note

POST
/api/notes/{id}/process

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/notes/<string>/process" \
  -H "Authorization: Bearer <token>"

Notes Controller_reprocess Note

POST
/api/notes/{id}/reprocess

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/notes/<string>/reprocess" \
  -H "Authorization: Bearer <token>"

Notes Controller_get Extraction Results

GET
/api/notes/{id}/extraction

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/notes/<string>/extraction" \
  -H "Authorization: Bearer <token>"

Notes Controller_get User Pending Actions

GET
/api/notes/actions/pending

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
typeRequiredstring
limitRequiredstring
curl -X GET "https://www.salesos.org/api/api/notes/actions/pending?status=%3Cstring%3E&type=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Notes Controller_get Action Stats

GET
/api/notes/actions/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/notes/actions/stats" \
  -H "Authorization: Bearer <token>"

Notes Controller_get Pending Actions For Note

GET
/api/notes/{id}/pending-actions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/notes/<string>/pending-actions" \
  -H "Authorization: Bearer <token>"

Notes Controller_approve Action

POST
/api/notes/actions/{actionId}/approve

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

actionIdRequiredstring
curl -X POST "https://www.salesos.org/api/api/notes/actions/<string>/approve" \
  -H "Authorization: Bearer <token>"

Notes Controller_reject Action

POST
/api/notes/actions/{actionId}/reject

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

actionIdRequiredstring
curl -X POST "https://www.salesos.org/api/api/notes/actions/<string>/reject" \
  -H "Authorization: Bearer <token>"

Notes Controller_bulk Process Actions

POST
/api/notes/actions/bulk

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/notes/actions/bulk" \
  -H "Authorization: Bearer <token>"